<?php

  //
  // Sample external application displaying Anotate within an iframe.
  //

require_once("annotateApi.php");
require_once("test_config.php");

?>
<!doctype html>
<html>
<body>
<h3>Sample external application displaying Annotate within an iframe</h3>

<p style='width: 60%;'>
<em>1. Highlight text and click the "Create Job" button. <br />
2. A dialog will pop up showing the selected text. Additional info can be entered. <br />
3. Annotate will post the note and the extra info to the 'createJob.php' endpoint on the remote server. <br />
4. 'createJob.php' creates a random code which is sent to Annotate to be saved as a note.</em>
</p>

<?php

// Request to log in a user into Annotate and display a document
$phpfn = "loginAs.php";
$annotateuser = $sampleUser;
$validfor = 60 * 30; // Make this request valid for 30 mins.

$request = signRequest($phpfn, $apiuser, $apikey, $annotateuser, $validfor);
$url = "$annotateServer/php/$phpfn?$request";

// After login, display the sample document:
$url .= "&loc=".rawurlencode("pdfnotate.php?d=$sampleDate&c=$sampleCode");

// On login error - go to this URL and set ?msg={error message}
$url .= "&errloc=".rawurlencode($annotateServer."/api/html_error.php");

// Store the password + username in a cookie:
$url .= "&remember=1";
// If you don't want to store the login info in the browser cookie, change to:
// $url .= "&remember=0";

$url = "https://dbchk.annotate.co/php/loginAs.php?api-user=breslin%40dbchk.com&api-requesttime=1495728459929&api-annotateuser=breslin%40dbchk.com&api-auth=Nz1xZt%2Fih1YQYlqwKTLzO9JZk%2BY%3D&remember=1&loc=pdfnotate.php%3Fc=29U4tCZn%26d=2017-05-12%26ws=118905492";

print "<iframe src='$url' style='border:1px solid blue' width='60%' height='800px'> </iframe>";

?>

</body>
</html>
