<?php

  //
  // Test producing redacted PDF
  //

require_once("annotateApi.php");
require_once("test_config.php");


$phpfn = "apiRedact.php";

//$date = $sampleDate;
//$code = $sampleCode;
$date = "2017-05-23";
$code = "HAfdvic6";

$annotateuser = $sampleUser;

$request = signRequest($phpfn, $apiuser, $apikey, $annotateuser);

$url = "$annotateServer/php/$phpfn?$request";

$url .= "&d=$date&c=$code";

print "The request is: $url\n";

$ret = file_get_contents($url);

//
// Return value on success:
//    'OK http://yoursite.com/annotate/docs/js/abc123445/welcome-notes-all.pdf 2000001'
//
// on error:
//    'ERR {error message}'
//
if (substr($ret, 0, 2) == "OK") {
  $bits = explode(" ", $ret);
  $lightpdfurl = $bits[1];
  $darkpdfurl = $bits[2];
  $modtime = $bits[3];
  print "Light-redacted PDF available from:\n";
  print "  $lightpdfurl\n";
  print "Dark-redacted PDF available from:\n";
  print "  $darkpdfurl\n";
  print "  Timestamp: $modtime\n";
 }
 else {
   print "Returned error: $ret\n";
 }

?>