<?php

  //
  // Test check of number of notes on a doc.
  //

require_once("annotateApi.php");
require_once("test_config.php");


$phpfn = "apiGetNumNotes.php";

$annotateuser = $sampleUser;

$request = signRequest($phpfn, $apiuser, $apikey, $annotateuser);

$url = "$annotateServer/php/$phpfn?$request";

$url .= "&d=$sampleDate&c=$sampleCode";

// If a workspace id supplied:
if (isset($sampleWS)) {
  $url .= "&ws=$sampleWS";
 }

print "The request is: $url\n";

$ret = file_get_contents($url);

if (substr($ret, 0, 3) == "ERR") {
  print "Returned error: $ret\n";
 }
 else {
   print "Fetched list, parsing ...\n";
   $obj = json_decode($ret, true); 
   
   print "List documents returned: \n";
   if ($obj) {
     print_r($obj);
   }
   else {
     print "\nThere was a problem parsing the JSON text - plain text follows:\n";
     print $ret;
   }
 }




?>