<?php

  //
  // Test setting a notification preference 
  //

require_once("annotateApi.php");
require_once("test_config.php");

// Create signed URL.
function createSignedRequest($phpfn, $user) {
  global $apiuser, $apikey, $annotateServer;
  $phpfn = $phpfn;
  $request = signRequest($phpfn, $apiuser, $apikey, $user);
  $url = "$annotateServer/php/$phpfn?$request";
  return $url;
}

// Create a folder as sampleUser:
$createReq = createSignedRequest("apiSetNotifyPref.php", $sampleUser);

$params = array("notifications" => "on", // or off
                "frequency" => "immediate", // daily, hourly
                "others" => "yes", // or no
                "doneonly" => "no");

$ret = doPost($createReq, $params);
print "Set notify pref returned: ".$ret."\n";





?>