<?php

  //
  // Test setting a user preference -noteColor, noteDisplayStyle, 
  //

require_once("annotateApi.php");
require_once("test_config.php");

// Create signed URL.
function createSignedRequest($phpfn, $user) {
  global $apiuser, $apikey, $annotateServer;
  $phpfn = $phpfn;
  $request = signRequest($phpfn, $apiuser, $apikey, $user);
  $url = "$annotateServer/php/$phpfn?$request";
  return $url;
}

// Create a folder as sampleUser:
$createReq = createSignedRequest("apiSetUserPref.php", $sampleUser);

$params = array("noteColor" => "10",
		"noteDisplayStyle" => "m");

$ret = doPost($createReq, $params);
print "Set user pref returned: ".$ret."\n";





?>